#ifdef VHDL_TESTBENCH
/*
 * $Id: Interface_testbench_test.cpp 95 2008-12-16 16:24:26Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"
#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

  std::string Interface::testbench_test (Vhdl * & vhdl,
				    std::string   counter_name,
				    std::string   reset_name  )
  {
    log_printf(FUNC,Behavioural,"testbench_test","Begin");

    vhdl->set_body("");
    vhdl->set_body("-- Test exhaustive");
    vhdl->set_body("");

    std::string test_name    = testbench_test_name(vhdl);
    std::string test_name_ok = testbench_test_ok  (vhdl);

    vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_ok+";");

    log_printf(FUNC,Behavioural,"testbench_test","End");

    return test_name;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
